Subject: [Fot] HANS

From: "Bill Tobin" <[email-masked]>
Date: Wed, 31 Jul 2013 08:04:05 -0400

My 2 cents worth: If you aren't wearing a HANS, or similar device, you should
be. They aren't restrictive, and are easy to get in and out of. And give a
measure of confidence and safety.
At around $700, they aren't cheap, but that would about pay for one day in
ICU.
After the guy crashed and was injured at Watkins Glen in June, I talked to
someone involved in the extrication and was told his injuries would probably
have been worse than leg injuries had he not been wearing the HANS.
Ya pays your money and takes your chances, but I try and keep as safe as
possible.
Cheers, Bill
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive